Bug 1583661 - Hammer compute-resource create: -- uuid missing description
Summary: Hammer compute-resource create: -- uuid missing description
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: API
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: 6.6.0
Assignee: Shira Maximov
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-29 12:33 UTC by Lukáš Hellebrandt
Modified: 2019-11-18 18:32 UTC (History)
10 users (show)

Fixed In Version: foreman-1.21.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:48:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 24161 0 Normal Closed Hammer compute-resource create: -- uuid missing description 2019-12-13 15:05:51 UTC

Description Lukáš Hellebrandt 2018-05-29 12:33:29 UTC
Description of problem:
When trying to add an image to a CR with some template assigned, it is not obvious from the help text how to specify the template. There is only '--uuid UUID' (of what?) without any description while I would normally grep for something like 'template' or 'image'.

Version-Release number of selected component (if applicable):
Tested on Sat 6.4 snap 5

How reproducible:
Deterministic

Steps to Reproduce:
1. # hammer compute-resource image create --help | grep -i -e template -e image

Actual results:
There is only 'UUID' without any explanation

Expected results:
I'd like to see what this UUID should specify.

Comment 2 Shira Maximov 2018-07-05 07:55:21 UTC
Created redmine issue https://projects.theforeman.org/issues/24161 from this bug

Comment 5 Satellite Program 2018-12-12 03:03:31 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24161 has been resolved.

Comment 6 Bryan Kearney 2018-12-17 17:59:40 UTC
Clearing the needinfos, everything looks in order.

Comment 7 Lukáš Hellebrandt 2019-05-22 15:32:04 UTC
Verified with Sat 6.6 snap 3.

Help now says: "--uuid UUID    Template ID in the compute resource"

Comment 9 Bryan Kearney 2019-10-22 19:48:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.